Act now to prevent Bacs interruption

Send to friend

Ewan Friend, Managing Director of Data Interchange urges immediate action to update software to support Bacs' security changes to prevent payment interruption in June.

Did you know that Bacs is making important changes to the security of its payments service and that of its approved software suppliers? If not, it is imperative that you read on because it's a significant shakeup that you must act on: if you haven't made the necessary software update by 13 June 2016 then you will not be able to make payments using Bacs or collect direct debits.

As Bacs warns: "It is crucial to your organisation that you understand and take action regarding the imminent security changes to your payment submission process called SHA-256 SSL and TLS1.1/1.2."

At Data Interchange, we are surprised and concerned at the apparent lack of awareness of this serious issue, especially given that it surrounds technology on which a significant part of the banking system is built. The situation requires immediate attention - this really is something you do not want to leave until the last moment or to get embroiled in the inevitable last minute rush to meet the deadline. If you don't upgrade your software, you could find that you're not able to pay your staff and suppliers, or collect payments from customers.

This security update will affect everyone using Bacs to pay their staff and suppliers, or collect payments from customers using Direct Debits. In short, it adds stronger security to the way in which payment files – that contain the individual payment instructions for an employee payroll for example - are submitted for processing by Bacs.

You need to check with your Bacs Approved Software Solutions provider that your Bacstel-IP software currently supports, or will be upgraded to support, SHA-2 SSL certificates and TLS 1.1/1.2 by the 13 June deadline. To avoid interruption to your services, you need to act now.

Organisations that submit payment files directly to Bacs services should contact a Bacs Approved Software Supplier to discuss what steps to take for upgrading your software.

As an Approved Software Supplier, Data Interchange urges our customers to contact us without delay. If you use SmarterPay, Data Interchange's Bacs Approved payment solution, you will not have to junk your current software but you will need an upgrade, which comes without a change to the pricing model. At Data Interchange, we are also in the process of contacting each of our SmarterPay customers to make them aware of the situation and to ensure you can make or collect payments from June.

If you are using software from other providers, we advise you to check if the software is being decommissioned, which may require you to move to a new platform with new costs. If you find this is happening, you can maintain your existing price model by simply transferring to Data Interchange, because we are prepared to match it.

This is a critical issue across all industries, reaching down to SME organisations and businesses. Whether, you are a golf club, a local gym, an association or a business that makes or collects payments you will naturally want the control over these payments that comes with direct debits – as opposed to standing orders. Without making the necessary software upgrade, people will not get paid and revenues will not get collected – potentially creating a vicious liquidity circle.

It's time to act now and, upgrade.

Comments (0)

Add a Comment

This thread has been closed from taking new comments.